<?php

use App\Controller\CommentController;
use App\Controller\HomeController;
use App\Controller\PostController;

require __DIR__ . '/../vendor/autoload.php';

$app = new Lime\App();

$app->path('views', __DIR__ . '/../views');

$app->service("db", function () {
    $obj = new SQLite3(__DIR__ . '/../database/microblog.db');
    return $obj;
});

$app->bindClass(HomeController::class, 'home');
$app->bindClass(PostController::class, 'post');
$app->bindClass(CommentController::class, 'comment');

$app->run();
