<?php

namespace App\Controller;

use Lime\App;

class CommentController
{
    protected App $app;

    public function __construct(App $app)
    {
        $this->app = $app;
    }

    public function create($postId)
    {
        $stmt = $this->app["db"]->prepare("INSERT INTO comments (post_id, name, content) VALUES (:postid, :name, :content);");
        $stmt->bindValue(":postid", $postId, SQLITE3_INTEGER);
        $stmt->bindValue(":name", $_POST["name"], SQLITE3_TEXT);
        $stmt->bindValue(":content", $_POST["content"], SQLITE3_TEXT);
        $res = $stmt->execute();

        $this->app->reroute('/home');
    }

    public function like($commentId)
    {
        $stmt = $this->app["db"]->prepare("UPDATE comments SET likes = (SELECT likes FROM comments WHERE id = :commentid) + 1 WHERE id = :commentid;");
        $stmt->bindValue(":commentid", intval($commentId), SQLITE3_TEXT);
        $res = $stmt->execute();

        return $this->app->reroute('/home');
    }
}
