<?php

namespace App\Controller;

use Lime\App;

class HomeController
{
    protected App $app;

    public function __construct(App $app)
    {
        $this->app = $app;
    }

    public function index()
    {
        $stmt = $this->app["db"]->prepare("SELECT * FROM comments;");
        $res = $stmt->execute();
        $comments = [];
        while ($row = $res->fetchArray(SQLITE3_ASSOC)) {
            $comments[] = $row;
        }

        $stmt = $this->app["db"]->prepare("SELECT * FROM posts;");
        $res = $stmt->execute();
        $posts = [];
        while ($post = $res->fetchArray(SQLITE3_ASSOC)) {
            foreach ($comments as $comment) {
                if ($post['id'] == $comment['post_id']) {
                    $post['comment'][] = $comment;
                }
            }
            $posts[] = $post;
        }

        $data = [];
        $data['posts'] = $posts;

        if (isset($_POST['comment'])) {
            $data['commentId'] = $_POST['comment'];
        } else {
            $data['commentId'] = null;
        }

        return $this->app->render("views:home.php with views:base.php", $data);
    }
}
