<?php

namespace App\Controller;

use Lime\App;

class PostController
{
    protected App $app;

    public function __construct(App $app)
    {
        $this->app = $app;
    }

    public function create()
    {
        $stmt = $this->app["db"]->prepare("INSERT INTO posts (name, content) VALUES (:name, :content);");
        $stmt->bindValue(":name", $_POST["name"], SQLITE3_TEXT);
        $stmt->bindValue(":content", $_POST["content"], SQLITE3_TEXT);
        $res = $stmt->execute();

        return $this->app->reroute('/home');
    }

    public function like($postId)
    {
        $stmt = $this->app["db"]->prepare("UPDATE posts SET likes = (SELECT likes FROM posts WHERE id = :postid) + 1 WHERE id = :postid;");
        $stmt->bindValue(":postid", intval($postId), SQLITE3_TEXT);
        $res = $stmt->execute();

        return $this->app->reroute('/home');
    }
}
